package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.UserAlbum;
import com.ruoyi.cai.dto.app.query.AlbumAddReq;
import com.ruoyi.cai.dto.app.query.AlbumResetReq;

import java.util.List;

/**
 * 主播集锦Service接口
 *
 * @author 77
 * @date 2023-12-23
 */
public interface UserAlbumService extends IService<UserAlbum> {


    List<String> getUserAlbum(Long userId, Integer anchor);

    List<UserAlbum> listByUserId(Long userId);

    boolean addAlbum(AlbumAddReq res);

    boolean updateAlbum(AlbumAddReq res);

    boolean removeAlbum(Long id);

    boolean resetAlbum(List<AlbumResetReq> res, Long userId);
}
